#!/bin/tcsh
# modified version of Paul Taylor's script to compare region distributions
set dsets_roi_new = \
  (BA_rmg.nii.gz Brodmann_Mai_Matajnik.nii.gz Brodmann_ROImake.nii.gz ba_reproject.nii.gz tempbalr_reproj.nii.gz )
                                                         # 'after' dset (A) of ROIs
set dset_msk_new = BA_rmg.nii.gz                         # 'after' dset (A) mask

set dset_roi_old = BAlr_orig.nii.gz                      # 'before' dset (B) of ROIs
set dset_msk_old = BAlr_orig.nii.gz                      # 'before' dset (b) mask (same here)
set mode_smoo_rr = 1                                     # mode smoo value -> not really used
                                                         #   for reporting only

echo "#dset        mean  stdev"  > summarystats.txt
foreach dset_roi_new ($dsets_roi_new)
   set ofile = myreport_${dset_roi_new}.txt              # output textfile name
   adjunct_aw_tableize_roi_info.py  \
    "${ofile}"                   \
    "${dset_roi_new}"            \
    "${dset_msk_new}"            \
    "${dset_roi_old}"            \
    "${dset_msk_old}"            \
    "${mode_smoo_rr}"

   # plot RatMFrac_A2B
   set my_title = "RatMFrac_A2B for: ${dset_roi_new} & ${dset_roi_old}"
   1dcat ${ofile}'[8]' > testcol.1D
   set meanstdev = `3dTstat -mean  -stdev -prefix - testcol.1D\'`
   echo "${dset_roi_new} $meanstdev" >> summarystats.txt
   1dplot.py                                    \
       -yfiles   "${ofile}[8]"                  \
       -prefix   img_RatMFrac_A2B_${dset_roi_new}.png           \
       -title    "${my_title}"                  \
       -colors blue                             \
       -boxplot_on                              \
       -censor_hline 1
end





